=== modified file 'loggerhead/controllers/changelog_ui.py'
--- loggerhead/controllers/changelog_ui.py	2007-05-30 08:57:43 +0000
+++ loggerhead/controllers/changelog_ui.py	2007-06-12 15:57:50 +0000
@@ -63,7 +63,11 @@
             if len(revid_list) == 0:
                 scan_list = revid_list
             else:
-                scan_list = revid_list[h.get_revid_sequence(revid_list, revid):]
+                if revid in revid_list: # XXX is this always true?
+                    i = revid_list.index(revid)
+                else:
+                    i = None
+                scan_list = revid_list[i:]
             entry_list = scan_list[:pagesize]
             entries = h.get_changes(entry_list)
         except:

=== modified file 'loggerhead/controllers/revision_ui.py'
--- loggerhead/controllers/revision_ui.py	2007-03-26 06:32:39 +0000
+++ loggerhead/controllers/revision_ui.py	2007-06-12 15:57:50 +0000
@@ -65,7 +65,7 @@
                                     pagesize=1, scan_url='/revision', branch=self._branch, feed=True)
         if query is not None:
             navigation.query = query
-        util.fill_in_navigation(h, navigation)
+        util.fill_in_navigation(navigation)
 
         if compare_revid is not None:
             change = h.get_diff(compare_revid, revid)

=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2007-06-08 11:52:33 +0000
+++ loggerhead/history.py	2007-06-12 15:57:50 +0000
@@ -296,17 +296,6 @@
     def get_revision_history(self):
         return self._full_history
     
-    def get_revid_sequence(self, revid_list, revid):
-        """
-        given a list of revision ids, return the sequence # of this revid in
-        the list.
-        """
-        seq = 0
-        for r in revid_list:
-            if revid == r:
-                return seq
-            seq += 1
-    
     def get_revids_from(self, revid_list, revid):
         """
         given a list of revision ids, yield revisions in graph order,

=== modified file 'loggerhead/util.py'
--- loggerhead/util.py	2007-03-12 17:51:19 +0000
+++ loggerhead/util.py	2007-06-12 15:57:50 +0000
@@ -272,13 +272,14 @@
     return out
     
 
-def fill_in_navigation(history, navigation):
+def fill_in_navigation(navigation):
     """
     given a navigation block (used by the template for the page header), fill
     in useful calculated values.
     """
-    navigation.position = history.get_revid_sequence(navigation.revid_list, navigation.revid)
-    if navigation.position is None:
+    if navigation.revid in navigation.revid_list: # XXX is this always true?
+        navigation.position = navigation.revid_list.index(navigation.revid)
+    else:
         navigation.position = 0
     navigation.count = len(navigation.revid_list)
     navigation.page_position = navigation.position // navigation.pagesize + 1

